function response = sendDataToDVP(data)
	
		dvpId = 0;

	dvp = getappdata(0,'DVP');
	if strcmpi(dvp.getSerializationType,'json')
		strData = savejson('',data);
		requestId = dvp.sendDataToDVTClient(strData, dvpId);
		if strcmpi(dvp.getServerPostServiceName, 'sse')
			response = dvp.waitForSSEReply(dvpId,requestId);
			% Matlab maps null objects to []
			if isempty(response)
				error('request timed-out');
			end

			if response.type
				error(char(response.data));
			end
		end
	end

end